{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"paths":{"/auth/token/":{"post":{"operationId":"create-upwardli-token","summary":"Create Upwardli Token","description":"Upwardli Token View","tags":["auth"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUpwardliTokenResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUpwardliToken"}}}}}},"/auth/token/exchange/":{"post":{"operationId":"create-upwardli-token-exchange","summary":"Create Upwardli Token Exchange","description":"Upwardli Token Exchange View","tags":["auth"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUpwardliTokenExchangeResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUpwardliTokenExchange"}}}}}},"/v2/bill-pay/bills/{external_id}/":{"get":{"operationId":"get-bill","summary":"Get Bill","description":"Get a specific Bill by ID.","tags":["billPayments"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bill"}}}}}}},"/v2/bill-pay/bills/":{"get":{"operationId":"list-bill-payments-view-sets","summary":"List Bill Payments View Sets","description":"List all bill payments for a specific bill","tags":["billPayments"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bill Payments_listBillPaymentsViewSets_Response_200"}}}}}},"post":{"operationId":"create-bill","summary":"Create Bill","description":"Create a new Bill.","tags":["billPayments"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBill"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBill"}}}}}},"/v2/bill-pay/bills/{external_id}/payments/{bill_payment_id}/":{"get":{"operationId":"get-bill-payment","summary":"Get Bill Payment","description":"Get a specific Bill Payment by ID.","tags":["billPayments"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"bill_payment_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillPaymentResponse"}}}}}}},"/v2/bill-pay/bills/{external_id}/payments/":{"get":{"operationId":"get-all-bill-payments","summary":"Get All Bill Payments","description":"List all bill payments for a specific bill","tags":["billPayments"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bill Payments_getAllBillPayments_Response_200"}}}}}},"post":{"operationId":"create-bill-payment","summary":"Create Bill Payment","description":"Create a new Bill Payment for a specific bill.","tags":["billPayments"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillPaymentResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillPaymentRequest"}}}}}},"/v2/consumers/{consumer_id}/dispute/list/":{"get":{"operationId":"list-consumer-disputes","summary":"List Consumer Disputes","description":"","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"offset","in":"query","description":"The initial index from which to return the results.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_listConsumerDisputes_Response_200"}}}}}}},"/v2/consumers/{consumer_id}/accounts/":{"get":{"operationId":"get-consumer-bank-accounts","summary":"Get Consumer Bank Accounts","description":"","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"offset","in":"query","description":"The initial index from which to return the results.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_getConsumerBankAccounts_Response_200"}}}}}}},"/v2/consumers/{consumer_id}/payment-cards/":{"get":{"operationId":"list-consumer-payment-cards","summary":"List Consumer Payment Cards","description":"","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_listConsumerPaymentCards_Response_200"}}}}}}},"/v2/consumers/{consumer_id}/payment-cards/external/":{"get":{"operationId":"list-consumer-external-payment-cards","summary":"List Consumer External Payment Cards","description":"List the external debit cards a consumer has registered through the card-registration component. Call this after the component reports success to confirm the card was saved and to read the `external_id` that the OCT and AFT endpoints require. Check `pushEnabled` before creating an OCT and `pullEnabled` before creating an AFT — a card may support one direction and not the other.\n\nA card is saved once the card processor confirms the registration, so an empty result immediately after the component closes means the confirmation has not landed yet rather than that registration failed. Poll briefly before treating it as a failure.\n\nRequires any one of `api:read`, `api:card-management:read`, or `api:consumer-profile:read`.\n","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"The consumer's external ID.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page. Maximum 50.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_listConsumerExternalPaymentCards_Response_200"}}}},"422":{"description":"The consumer ID is malformed, unknown, or belongs to another partner","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListConsumerExternalPaymentCardsRequestUnprocessableEntityError"}}}}}},"post":{"operationId":"generate-consumer-external-payment-card-iframe","summary":"Generate Consumer External Payment Card Iframe","description":"Generate the PCI-compliant card-registration iframe URL for this consumer. Render the returned `iframe_url` to collect the consumer's debit card details — the card number never touches your systems or Upward's. The request body is optional; omit it to use the payment card configuration registered for your partner. On success the card is saved against the consumer and becomes available from `GET /v2/consumers/{consumer_id}/payment-cards/external/`.\n\nRequires either `api:write` or `api:card-management:write`.\n","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"The consumer's external ID.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenerateExternalPaymentCardIframeResponse"}}}},"404":{"description":"No payment card configuration found for this partner","content":{"application/json":{"schema":{"description":"Any type"}}}},"422":{"description":"The card-registration provider rejected the iframe request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenerateConsumerExternalPaymentCardIframeRequestUnprocessableEntityError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenerateExternalPaymentCardIframeRequest"}}}}}},"/v2/consumers/":{"get":{"operationId":"list-consumers","summary":"List Consumers","description":"Get all consumers","tags":["consumers"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_listConsumers_Response_200"}}}}}},"post":{"operationId":"create-new-consumer","summary":"Create New Consumer","description":"Create a new Consumer if one does not exist for the given partner and pc_id","tags":["consumers"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewConsumer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewConsumer"}}}}}},"/v2/consumers/{consumer_id}/":{"get":{"operationId":"retrieve-consumer","summary":"Retrieve Consumer","description":"Get the consumer data from the consumer_id provided by the partner","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetConsumer"}}}}}},"put":{"operationId":"update-consumer","summary":"Update Consumer","description":"PUT method to update consumer's data","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateConsumer"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateConsumer"}}}}}},"/v2/consumers/pcid/{consumer_pc_id}/":{"get":{"operationId":"get-consumers-by-pcid","summary":"Get Consumers By PCID","description":"Get Consumer by PCID","tags":["consumers"],"parameters":[{"name":"consumer_pc_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetConsumer"}}}}}}},"/v2/consumers/{consumer_id}/addresses/":{"get":{"operationId":"list-consumer-addresses-v-2","summary":"List Consumer Addresses V 2","description":"Retrieves a list of addresses for the consumer.","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_ListConsumerAddressesV2_Response_200"}}}}}},"post":{"operationId":"create-address-v-2","summary":"Create Address V 2","description":"Create a new address for the consumer. Billing addresses cannot be created manually.","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Address"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Address"}}}}}},"/v2/consumers/{consumer_id}/addresses/{address_id}/":{"get":{"operationId":"retrieve-address-v-2","summary":"Retrieve Address V 2","description":"Retrieves an address.","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"address_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Address"}}}}}},"put":{"operationId":"update-address-v-2","summary":"Update Address V 2","description":"Update an existing address. Billing addresses cannot be edited or transformed into billing.","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"address_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Address"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Address"}}}}},"delete":{"operationId":"delete-address-v-2","summary":"Delete Address V 2","description":"Delete an address. Billing addresses cannot be deleted.","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"address_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_DeleteAddressV2_Response_204"}}}}}}},"/v2/consumers/{consumer_id}/invites/":{"get":{"operationId":"list-consumer-invites","summary":"List Consumer Invites","description":"","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_listConsumerInvites_Response_200"}}}}}},"post":{"operationId":"create-consumer-invites","summary":"Create Consumer Invites","description":"","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserInvitation"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUserInvitation"}}}}}},"/v2/consumers/{consumer_id}/kyc-results/":{"get":{"operationId":"list-kyc-results","summary":"List KYC Results","description":"List the KYC results for a consumer, one per Persona inquiry. When an inquiry has produced several results, the one with the most advanced status is returned (approved, then declined or failed, then expired, needs_review, completed, pending, created), with ties broken by the most recent result. Results are ordered by `created_date`, newest first.\n","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"The unique ID of the consumer.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_listKYCResults_Response_200"}}}},"404":{"description":"Consumer not found or does not belong to this partner","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v2/consumers/{consumer_id}/kyc-results/{kyc_result_id}/":{"get":{"operationId":"retrieve-kyc-result","summary":"Get KYC Result Details","description":"Retrieve a single KYC result for a consumer, including the individual reports and verifications that Persona ran for the inquiry.\n","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"The unique ID of the consumer.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"kyc_result_id","in":"path","description":"The unique ID of the KYC result (the `id` returned by List KYC Results).\n","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KYCResultDetail"}}}},"404":{"description":"KYC result not found for this consumer","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v2/consumers/{consumer_id}/dispute/":{"post":{"operationId":"create-consumer-dispute","summary":"Create Consumer Dispute","description":"","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsumerDispute"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsumerDispute"}}}}}},"/v2/consumers/{consumer_id}/cancel-account/":{"post":{"operationId":"create-account-cancellation","summary":"Create Account Cancellation","description":"","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountCancellation"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountCancellation"}}}}}},"/v2/consumers/{consumer_id}/bill-reporting/":{"get":{"operationId":"retrieve-bill-reporting-view-set","summary":"Retrieve Bill Reporting View Set","description":"1) Validate the Request Token and get the Partner\n2) Get the Bill Reporting for the consumer associated with the request\n3) Return the Bill Reporting info","tags":["billReporting"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillReporting"}}}}}}},"/v2/consumers/{consumer_id}/bill-reporting/bill-details/":{"get":{"operationId":"retrieve-bill-details-view-set","summary":"Retrieve Bill Details View Set","description":"1) Validate the Request Token and get the Partner\n2) Get the Bill Details tradelines for the consumer associated with the request\n3) Return the Bill Detailed TradeLines","tags":["billReporting"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillDetails"}}}}}}},"/v2/consumers/{consumer_id}/bill-reporting/open-tradelines/":{"get":{"operationId":"retrieve-open-tradelines-view-set","summary":"Retrieve Open Tradelines View Set","description":"1) Validate the Request Token and get the Partner\n2) Get the Open Tradelines for the consumer associated with the request with all transactions lists\n3) Return TradeLines and its transactions","tags":["billReporting"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenTradelines"}}}}}}},"/v2/consumers/{consumer_id}/bill-reporting/tradeline/{tradeline_id}/":{"get":{"operationId":"retrieve-trade-line-view-set","summary":"Retrieve Trade Line View Set","description":"1) Validate the Request Token and get the Partner\n2) Get the tradeline for the consumer associated with the request\n3) Return the TradeLine","tags":["billReporting"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"tradeline_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DetailedTradeline"}}}}}}},"/v2/bill-reporting/":{"get":{"operationId":"get-all-bill-reportings","summary":"Get All Bill Reportings","description":"1) Validate the Request Token, Get the Partner and Check if it's scoped\n2) Get the list of Bill Reportings available for that token\n3) Paginate and return the response","tags":["billReporting"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bill Reporting_getAllBillReportings_Response_200"}}}}}}},"/v2/bill-reporting/{external_id}/consumers/{consumer_id}/bill-reporting/":{"get":{"operationId":"get-consumer-bill-reporting","summary":"Get Consumer Bill Reporting","description":"1) Validate the Request Token and get the Partner\n2) Get the Bill Reporting for the consumer associated with the request\n3) Return the Bill Reporting info","tags":["billReporting"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillReporting"}}}}}}},"/v2/consumers/{consumer_id}/bill-reporting/close-tradeline/":{"post":{"operationId":"create-close-tradeline-view-set","summary":"Create Close Tradeline View Set","description":"0) Validate the Request input params\n1) Validate the Request Token and get the Partner\n2) Get tradeline by the id\n3) Make some validation for the tradeline (eligible, already open, etc.)\n4) Close an Opened tradeline for the consumer (CANNOT BE OPENED AGAIN)","tags":["billReporting"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloseTradeline"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloseTradeline"}}}}}},"/v2/consumers/{consumer_id}/bill-reporting/attestation/":{"post":{"operationId":"create-attestation-view-set","summary":"Create Attestation View Set","description":"0) Validate the Request input params\n1) Validate the Request Token and get the Partner\n2) Check that consumer is onboarded on Bloom Enablement\n3) Get tradeline by the id\n4) Make some validation for the tradeline (eligible, already open, etc.)\n6) Check category to define the vars to send\n7) Open a tradeline for the consumer","tags":["billReporting"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenTradelineInput"}}}}}},"/v2/bill-reporting/{external_id}/reported-bills/":{"post":{"operationId":"create-reported-bill","summary":"Create Reported Bill","description":"Add a new bill to be reported for a consumer","tags":["billReporting"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportedBill"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportedBillCreate"}}}}}},"/v2/consumers/{consumer_id}/statements/{pdf_filename}/download/":{"get":{"operationId":"retrieve-statement","summary":"Retrieve Statement","description":"Get a pdf in b64encode","tags":["statements"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"pdf_filename","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatementResponseDownload"}}}}}}},"/v2/consumers/{consumer_id}/statements/":{"get":{"operationId":"list-statements","summary":"List Statements","description":"Get a list with all PDF Statements generated for a consumer","tags":["statements"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Statements_listStatements_Response_200"}}}}}}},"/v2/consumers/{consumer_id}/statements/{pdf_filename}/email/":{"get":{"operationId":"email-statement","summary":"Email Statement","description":"Send a PDF statement by email","tags":["statements"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"pdf_filename","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatementEmailResponse"}}}}}}},"/v2/credit-insights/{consumer_id}/summary/":{"get":{"operationId":"retrieve-credit-insights-overview","summary":"Retrieve Credit Insights Overview","description":"Get credit insights overview","tags":["creditInsights"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditInsightsOverviewV2"}}}}}}},"/v2/partners/":{"get":{"operationId":"list-partner-details","summary":"List Partner Details","description":"Return partner details","tags":["partners"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"description":"Any type"}}}}}}}},"/v2/partners/{partner_id}/accounts/":{"get":{"operationId":"partner-get-partner-bank-accounts","summary":"Partner Get Partner Bank Accounts","description":"","tags":["partners"],"parameters":[{"name":"partner_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerBankAccountBulkBulkV2"}}}}}}},"/v2/partners/{partner_id}/accounts/{account_id}/":{"get":{"operationId":"bank-account-details-partner-bank-accounts","summary":"Bank Account Details Partner Bank Accounts","description":"","tags":["partners"],"parameters":[{"name":"partner_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"account_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerBankAccountBulkV2"}}}}}}},"/v2/partners/{partner_id}/accounts/{account_id}/subledgers/":{"get":{"operationId":"list-sub-ledger-requests","summary":"List Sub Ledger Requests","description":"List the subledgers information","tags":["partners"],"parameters":[{"name":"partner_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"account_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partners_listSubLedgerRequests_Response_200"}}}}}},"post":{"operationId":"create-sub-ledger-request","summary":"Create Sub Ledger Request","description":"Create a Subledger Account from Partner FBO","tags":["partners"],"parameters":[{"name":"partner_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"account_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubLedgerResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubLedgerRequest"}}}}}},"/v2/partners/{partner_id}/products/":{"get":{"operationId":"list-partner-products","summary":"List Partner Products","description":"Get Partner Product List","tags":["partners"],"parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Partners_listPartnerProducts_Response_200"}}}}}}},"/v2/payment-cards/{payment_card_id}/rewards/":{"get":{"operationId":"list-rewards-configurations","summary":"List Rewards Configurations","description":"Returns the cashback rewards configurations available for the given payment card. Each configuration whose `is_active` is `true` can be enrolled in. Use `is_enrolled` to tell whether the cardholder is already enrolled in that configuration.","tags":["rewards"],"parameters":[{"name":"payment_card_id","in":"path","description":"External ID of the payment card.","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Rewards_listRewardsConfigurations_Response_200"}}}}}}},"/v2/payment-cards/{payment_card_id}/rewards/enrollments/":{"get":{"operationId":"list-rewards-enrollments","summary":"List Rewards Enrollments","description":"Returns the cashback rewards enrollments for the given payment card. An enrollment with `is_active: true` means the cardholder is currently earning rewards; use its `program_id` to fetch the available offers.","tags":["rewards"],"parameters":[{"name":"payment_card_id","in":"path","description":"External ID of the payment card.","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Rewards_listRewardsEnrollments_Response_200"}}}}}}},"/v2/payment-cards/{payment_card_id}/rewards/{rewards_configuration_id}/enrollments/":{"post":{"operationId":"create-rewards-enrollment","summary":"Create Rewards Enrollment","description":"Enrolls the payment card in the given rewards configuration. The configuration must be active (see List Rewards Configurations). No request body is required. Returns the created enrollment.","tags":["rewards"],"parameters":[{"name":"payment_card_id","in":"path","description":"External ID of the payment card.","required":true,"schema":{"type":"string"}},{"name":"rewards_configuration_id","in":"path","description":"ID of the rewards configuration to enroll in.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentCardRewardsEnrollment"}}}}}}},"/v2/payment-cards/{payment_card_id}/rewards/{program_id}/offers/":{"get":{"operationId":"list-rewards-offers","summary":"List Rewards Offers","description":"Returns the cashback offers available to an enrolled payment card for the given rewards program. Pass the `program_id` from the card's active enrollment. Optionally provide `latitude`/`longitude` (and `radius`) to surface location-based in-store offers.","tags":["rewards"],"parameters":[{"name":"payment_card_id","in":"path","description":"External ID of the payment card.","required":true,"schema":{"type":"string"}},{"name":"program_id","in":"path","description":"Rewards program ID from the card's active enrollment.","required":true,"schema":{"type":"string"}},{"name":"latitude","in":"query","description":"Latitude used to surface nearby in-store offers.","required":false,"schema":{"type":"number","format":"double"}},{"name":"longitude","in":"query","description":"Longitude used to surface nearby in-store offers.","required":false,"schema":{"type":"number","format":"double"}},{"name":"radius","in":"query","description":"Search radius, in miles, around the provided coordinates.","required":false,"schema":{"type":"number","format":"double"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"offset","in":"query","description":"The initial index from which to return the results.","required":false,"schema":{"type":"integer"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Rewards_listRewardsOffers_Response_200"}}}}}}},"/v2/payments/ach/":{"post":{"operationId":"create-create-ach-request","summary":"Create Create ACH Request","description":"Create an ACH request to move funds into or out of a DDA inside of CRB","tags":["payments"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ACHResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateACHRequest"}}}}},"get":{"operationId":"list-ach-responses","summary":"List ACH Responses","description":"Get the ach payment information","tags":["payments"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payments_listACHResponses_Response_200"}}}}}}},"/v2/payments/ach/{external_id}/":{"get":{"operationId":"retrieve-ach-response","summary":"Retrieve ACH Response","description":"Get the ach payment information","tags":["payments"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ACHResponse"}}}}}},"delete":{"operationId":"cancel-ach-payment","summary":"Cancel ACH Payment","description":"Cancel the ACH payment.","tags":["payments"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payments_Cancel ACH Payment_Response_204"}}}}}}},"/v2/consumers/{consumer_id}/payments/ach":{"get":{"operationId":"list-consumer-ach-payments","summary":"List Consumer ACH Payments","description":"","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_listConsumerACHPayments_Response_200"}}}}}}},"/v2/payments/transfer/":{"post":{"operationId":"create-transfer","summary":"Create Transfer","description":"Xpay transfer between CRB users","tags":["payments"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTransferResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTransferRequest"}}}}},"get":{"operationId":"get-all-transfers","summary":"Get All Transfers","description":"Get transfer information","tags":["payments"],"parameters":[{"name":"limit","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"offset","in":"query","description":"The initial index from which to return the results.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payments_getAllTransfers_Response_200"}}}}}}},"/v2/payments/transfer/{external_id}/":{"get":{"operationId":"get-transfer","summary":"Get Transfer","description":"Get transfer information","tags":["payments"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTransferResponse"}}}}}}},"/v2/consumers/{consumer_id}/payments/transfer":{"get":{"operationId":"list-transfer-responses","summary":"List Transfer Responses","description":"Get User Book Transfer History","tags":["consumers"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"offset","in":"query","description":"The initial index from which to return the results.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Consumers_listTransferResponses_Response_200"}}}}}}},"/v2/payments/instant/":{"post":{"operationId":"create-create-instant-payment-request","summary":"Create Create Instant Payment Request","description":"Create an Instant Payment request to move funds from an DDA to an external bank account","tags":["payments"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetInstantPaymentResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInstantPaymentRequest"}}}}},"get":{"operationId":"list-get-instant-payment-responses","summary":"List Get Instant Payment Responses","description":"Get the instant payment information","tags":["payments"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payments_listGetInstantPaymentResponses_Response_200"}}}}}}},"/v2/payments/instant/{external_id}/":{"get":{"operationId":"retrieve-get-instant-payment-response","summary":"Retrieve Get Instant Payment Response","description":"Get the instant payment information","tags":["payments"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetInstantPaymentResponse"}}}}}}},"/v2/payments/aft/":{"post":{"operationId":"create-aft-payment-request","summary":"Create AFT Payment Request","description":"Create an AFT (Account Funding Transaction) to pull funds from a consumer's registered external debit card into their Upward DDA. The card must already be registered through the card-registration component and have `pullEnabled: true`. `amount` is the gross amount debited from the card; the fee is deducted from it, so the consumer's DDA receives `amount - fee_amount`. Returns `200` with a payment in `pending`; settlement is reported asynchronously through the `Payment.Aft.Completed` webhook.\n","tags":["payments"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"AFT created and submitted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAFTResponse"}}}},"404":{"description":"Consumer or external payment card not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentError"}}}},"422":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentValidationError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAFTRequest"}}}}},"get":{"operationId":"list-aft-payment-requests","summary":"List AFT Payment Requests","description":"Get a paginated list of AFT payment requests","tags":["payments"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payments_listAFTPaymentRequests_Response_200"}}}}}}},"/v2/payments/aft/{id}/":{"get":{"operationId":"retrieve-aft-payment-request","summary":"Retrieve AFT Payment Request","description":"Retrieve a single AFT payment by the `id` returned at creation time. Only `Pull` payments are matched, and only for consumers belonging to the authenticated partner — anything else returns 404.\n","tags":["payments"],"parameters":[{"name":"id","in":"path","description":"The unique ID of the AFT payment (returned at creation time).","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAFTResponse"}}}},"404":{"description":"Payment not found or does not belong to this partner","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v2/payments/oct/":{"post":{"operationId":"create-oct-payment-request","summary":"Create OCT Payment Request","description":"Create an OCT (Original Credit Transaction) to push funds from the consumer's Upward DDA to their registered external debit card. The card must already be registered through the card-registration component and have `pushEnabled: true`. `amount` is the gross amount debited from the DDA; the fee is deducted from it, so the card receives `amount - fee_amount`. Returns `200` with a payment in `pending`; settlement is reported asynchronously through the `Payment.Oct.Completed` webhook.\n","tags":["payments"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OCT created and submitted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetOCTResponse"}}}},"404":{"description":"Consumer or external payment card not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentError"}}}},"422":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentValidationError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOCTRequest"}}}}},"get":{"operationId":"list-oct-payment-requests","summary":"List OCT Payment Requests","description":"Get a paginated list of OCT payment requests","tags":["payments"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payments_listOCTPaymentRequests_Response_200"}}}}}}},"/v2/payments/oct/{id}/":{"get":{"operationId":"retrieve-oct-payment-request","summary":"Retrieve OCT Payment Request","description":"Retrieve a single OCT payment by the `id` returned at creation time. Returns 404 for payments belonging to another partner's consumers.\n","tags":["payments"],"parameters":[{"name":"id","in":"path","description":"The unique ID of the OCT payment (returned at creation time).","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetOCTResponse"}}}},"404":{"description":"Payment not found or does not belong to this partner","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v2/payments/p2p/":{"post":{"operationId":"create-peer-to-peer-payment-request","summary":"Create Peer To Peer Payment Request","description":"Initiate a peer-to-peer transfer between two consumers on the authenticated partner's network. Both accounts must be active secured-card accounts. Returns `pending_review` instead of an error when the sender exceeds the daily velocity limit (2 transfers per 24 hours).\n","tags":["payments"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Payment created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateP2PPaymentResponse"}}}},"422":{"description":"Validation failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePeerToPeerPaymentRequestRequestUnprocessableEntityError"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateP2PPaymentRequest"}}}}},"get":{"operationId":"list-peer-to-peer-payment-responses","summary":"List Peer To Peer Payment Responses","description":"Returns a paginated list of all P2P payments across every consumer on the authenticated partner's network.","tags":["payments"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payments_listPeerToPeerPaymentResponses_Response_200"}}}}}}},"/v2/payments/p2p/{id}/":{"get":{"operationId":"retrieve-peer-to-peer-payment-response","summary":"Retrieve Peer To Peer Payment Response","description":"Retrieve a single P2P payment by its ID. Returns 404 for payments that do not belong to the authenticated partner.\n","tags":["payments"],"parameters":[{"name":"id","in":"path","description":"The unique ID of the P2P payment (returned at creation time).","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetP2PPaymentResponse"}}}},"404":{"description":"Payment not found or does not belong to this partner","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v2/webhooks/registrations/":{"get":{"operationId":"retrieve-webhook-registration","summary":"Retrieve Webhook Registration","description":"Register a new Webhook and Get all Registrations","tags":["webhooks"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookRegistration"}}}}}},"post":{"operationId":"register-webhook-listener","summary":"Register Webhook Listener","description":"Register a new Webhook","tags":["webhooks"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterWebhook"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterWebhook"}}}}}},"/v2/webhooks/{id}/events/":{"get":{"operationId":"retrieve-webhook-history","summary":"Retrieve Webhook History","description":"Webhook events handler","tags":["webhooks"],"parameters":[{"name":"id","in":"path","description":"A unique integer value identifying this webhook history.","required":true,"schema":{"type":"string"}},{"name":"start_date","in":"query","description":"Filter events on or after this date (inclusive). Format YYYY-MM-DD.","required":false,"schema":{"type":"string","format":"date"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookEvents"}}}},"400":{"description":"Invalid start_date format.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveWebhookHistoryRequestBadRequestError"}}}}}}},"/v2/webhooks/{id}/":{"put":{"operationId":"update-webhook-history","summary":"Update Webhook History","description":"Webhook events handler","tags":["webhooks"],"parameters":[{"name":"id","in":"path","description":"A unique integer value identifying this webhook history.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookEvents"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookEvents"}}}}},"delete":{"operationId":"delete-webhook-registration","summary":"Delete Webhook Registration","description":"Webhook events handler","tags":["webhooks"],"parameters":[{"name":"id","in":"path","description":"A unique integer value identifying this webhook history.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Webhooks_deleteWebhookRegistration_Response_204"}}}}}}},"/v2/accounts/":{"get":{"operationId":"get-all-bank-accounts","summary":"Get All Bank Accounts","description":"","tags":["accounts"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Accounts_getAllBankAccounts_Response_200"}}}}}},"post":{"operationId":"create-consumer-bank-account","summary":"Create Consumer Bank Account","description":"Create Consumer Bank Account","tags":["accounts"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankAccountV2"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankAccountCreateV2"}}}}}},"/v2/accounts/{account_id}/":{"get":{"operationId":"get-bank-account","summary":"Get Bank Account","description":"","tags":["accounts"],"parameters":[{"name":"account_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankAccountV2"}}}}}},"put":{"operationId":"update-bank-account","summary":"Update Bank Account","description":"","tags":["accounts"],"parameters":[{"name":"account_id","in":"path","description":"External UUID of the bank account to update.","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Bank account updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankAccountUpdateV2"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankAccountUpdateV2"}}}}}},"/v2/payment-cards/{payment_card_id}/transactions/":{"get":{"operationId":"list-payment-card-transactions","summary":"List Payment Card Transactions","description":"","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"offset","in":"query","description":"The initial index from which to return the results.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payment Cards_listPaymentCardTransactions_Response_200"}}}}}}},"/v2/payment-cards/{payment_card_id}/transactions/{transaction_id}":{"get":{"operationId":"retrieve-payment-card-transaction","summary":"Retrieve Payment Card Transaction","description":"","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"transaction_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payment Cards_retrievePaymentCardTransaction_Response_200"}}}}}}},"/v2/payment-cards/{payment_card_id}/emboss":{"get":{"operationId":"get-payment-card-emboss","summary":"Get Payment Card Emboss","description":"","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Emboss"}}}}}},"post":{"operationId":"payment-card-emboss","summary":"Payment Card Emboss","description":"","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Emboss"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Emboss"}}}}}},"/v2/payment-cards/external/":{"get":{"operationId":"list-external-payment-cards","summary":"List External Payment Cards","description":"List external debit cards. With a Partner API Token this returns every external card registered by consumers on your network; with a Customer Access Token it is scoped to that consumer's own cards. Use `GET /v2/consumers/{consumer_id}/payment-cards/external/` when you already know which consumer you want.\n\nRequires any one of `api:read`, `api:card-management:read`, or `api:consumer-profile:read`.\n","tags":["paymentCards"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page. Maximum 50.","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payment Cards_listExternalPaymentCards_Response_200"}}}}}}},"/v2/payment-cards/external/{id}/":{"get":{"operationId":"get-external-payment-card","summary":"Get External Payment Card","description":"Retrieve a single external debit card by its `external_id`. Returns 404 for cards owned by a consumer outside the authenticated partner. Read `pushEnabled` and `pullEnabled` to see which payment directions the card supports.\n\nRequires any one of `api:read`, `api:card-management:read`, or `api:consumer-profile:read`.\n","tags":["paymentCards"],"parameters":[{"name":"id","in":"path","description":"The `external_id` of the external payment card.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalPaymentCard"}}}},"404":{"description":"Card not found or does not belong to this partner","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v2/payment-cards/{payment_card_id}/":{"get":{"operationId":"get-payment-card","summary":"Get Payment Card","description":"","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentCard"}}}}}}},"/v2/payment-cards/{payment_card_id}/freeze":{"post":{"operationId":"freeze-payment-card","summary":"Freeze Payment Card","description":"freeze/unfreeze a payment card","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreezeUnfreezePaymentCardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreezePaymentCardRequest"}}}}}},"/v2/payment-cards/{payment_card_id}/unfreeze":{"post":{"operationId":"unfreeze-card","summary":"Unfreeze Card","description":"unfreeze a payment card","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FreezeUnfreezePaymentCardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/payment-cards/{payment_card_id}/replace-lost-stolen":{"post":{"operationId":"replace-lost-stolen-card-request","summary":"Replace Lost Stolen Card Request","description":"Replace a lost or stolen card","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LostStolenCardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LostStolenCardRequest"}}}}}},"/v2/payment-cards/{payment_card_id}/reissue":{"post":{"operationId":"trigger-reissue-card","summary":"Trigger Reissue Card","description":"Reissue a card, which means to send it to the embosser again","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReissueCardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/payment-cards/{payment_card_id}/close/":{"post":{"operationId":"close-card-account","summary":"Close Card Account","description":"","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloseAccountResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/payment-cards/{payment_card_id}/autopay":{"put":{"operationId":"set-autopay-status","summary":"Set Autopay Status","description":"","tags":["paymentCards"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetAutopayResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetAutopayRequest"}}}}}},"/v2/payment-cards/{payment_card_id}/payments/":{"get":{"operationId":"list-card-payments","summary":"List Card Payments","description":"Returns a paginated list of the repayments recorded against a payment card, newest first. Every attempt is listed, including failed ones (`status: error`), so the list doubles as the audit trail for the card's payoff history.\n","tags":["repayments"],"parameters":[{"name":"payment_card_id","in":"path","description":"External ID of the payment card.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page. Defaults to 50, which is also the maximum accepted value.\n","required":false,"schema":{"type":"integer"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Repayments_listCardPayments_Response_200"}}}},"400":{"description":"The card has no loan application attached, or it does not belong to the authenticated partner. Both cases return `validation_error`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentErrorResponse"}}}},"422":{"description":"The cardholder could not be validated against the authenticated token, or an unexpected error occurred.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentErrorResponse"}}}}}},"post":{"operationId":"create-card-payment","summary":"Create Card Payment","description":"Pays down the outstanding balance of a payment card. The repayment is settled synchronously against the card's loan application and returns `status: posted` on success. Autopay must be disabled on the card unless your partner configuration settles from a partner FBO account. Omit `account_id` to debit the DDA account attached to the card.\n","tags":["repayments"],"parameters":[{"name":"payment_card_id","in":"path","description":"External ID of the payment card being paid down.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"Repayment created and settled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCardPaymentResponse"}}}},"400":{"description":"The request failed validation or the repayment could not be settled. See `error` for the specific cause: `autopay_enabled`, `validation_error`, or `payment_error`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentErrorResponse"}}}},"403":{"description":"The payment card belongs to a consumer outside the authenticated partner's network.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentErrorResponse"}}}},"404":{"description":"No payment card matches the given `payment_card_id`.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentErrorResponse"}}}},"422":{"description":"Unexpected error while processing the repayment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentErrorResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCardPaymentRequest"}}}}}},"/v2/payment-cards/{payment_card_id}/payments/{payment_id}/":{"get":{"operationId":"retrieve-card-payment","summary":"Retrieve Card Payment","description":"Retrieve a single card repayment by its ID. Returns 404 for repayments that belong to a different card.\n","tags":["repayments"],"parameters":[{"name":"payment_card_id","in":"path","description":"External ID of the payment card.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"payment_id","in":"path","description":"The `id` returned when the repayment was created.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetCardPaymentResponse"}}}},"400":{"description":"The card has no loan application attached, or it does not belong to the authenticated partner.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentErrorResponse"}}}},"404":{"description":"No repayment matches `payment_id` on this card. A malformed `payment_id` returns 404 as well.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentErrorResponse"}}}},"422":{"description":"The cardholder could not be validated against the authenticated token, or an unexpected error occurred.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CardPaymentErrorResponse"}}}}}}},"/v2/onboarding/":{"get":{"operationId":"get-all-onboardings","summary":"Get All Onboardings","description":"1) Get Partner from request\n2) Get Partner Onboardings and filter (pcid or external id) if needed\n3) Return a list of onboardings with their id and consumer data","tags":["onboarding"],"parameters":[{"name":"page","in":"query","description":"A page number within the paginated result set.","required":false,"schema":{"type":"integer"}},{"name":"page_size","in":"query","description":"Number of results to return per page.","required":false,"schema":{"type":"integer"}},{"name":"search","in":"query","description":"A search term.","required":false,"schema":{"type":"string"}},{"name":"consumer_id","in":"query","description":"Consumer ID","required":true,"schema":{"type":"string"}},{"name":"consumer_pcid","in":"query","description":"Consumer PCID","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Onboarding_getAllOnboardings_Response_200"}}}}}},"post":{"operationId":"create-onboarding","summary":"Create Onboarding","description":"1) Validate the request and get the partner from it\n2) Verify if consumer exists and if so, if there's an onboarding flow\n3) Create a new onboarding (and new consumer) if needed\n4) Return the onboarding id and consumer data","tags":["onboarding"],"parameters":[{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Onboarding"}}}}}},"/v2/onboarding/{external_id}/":{"get":{"operationId":"get-onboarding","summary":"Get Onboarding","description":"1) Get Partner from request\n2) Get the Onboarding and check if it belongs to the partner\n3) Return the onboarding id and consumer data","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}}},"delete":{"operationId":"cancel-onboarding","summary":"Cancel Onboarding","description":"1) Set the Onboarding Process Status to cancelled","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Onboarding_cancelOnboarding_Response_204"}}}}}}},"/v2/onboarding/{external_id}/verify-identity/":{"post":{"operationId":"verify-identity","summary":"Verify Identity","description":"View used to start the \"Verify Identity\" step on an existing Onboarding","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyIdentity"}}}}}},"/v2/onboarding/{external_id}/accept-terms/":{"post":{"operationId":"accept-terms","summary":"Accept Terms","description":"View used to start the \"Accept Terms\" step on an existing Onboarding","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptTerms"}}}}}},"/v2/onboarding/{external_id}/bloom-enablement/":{"post":{"operationId":"bloom-enablement-request","summary":"Bloom Enablement Request","description":"View used to start the \"Onboard a consumer on Bloom Enablement\" step on an existing Onboarding","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BloomEnablementRequest"}}}}}},"/v2/onboarding/{external_id}/link-bank-account/":{"post":{"operationId":"link-bank-account","summary":"Link Bank Account","description":"View used to start the \"Link Bank Account\" step on an existing Onboarding","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkBankAccount"}}}}}},"/v2/onboarding/{external_id}/bill-details/":{"post":{"operationId":"add-bill-details","summary":"Add Bill Details","description":"View used to show Bill Details step on an existing Onboarding","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}}},"/v2/onboarding/{external_id}/perform-underwriting/":{"post":{"operationId":"perform-underwriting","summary":"Perform Underwriting","description":"View perform the Underwriting on an existing Onboarding","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PerformUnderwriting"}}}}}},"/v2/onboarding/{external_id}/select-product/":{"post":{"operationId":"select-product","summary":"Select Product","description":"Select the Product for an existing Onboarding","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelectProduct"}}}}}},"/v2/onboarding/{external_id}/submit-loan/":{"post":{"operationId":"submit-loan-request","summary":"Submit Loan Request","description":"Submit a loan request for an existing Onboarding","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitLoanRequest"}}}}}},"/v2/onboarding/{external_id}/metadata/":{"post":{"operationId":"add-onboarding-metadata","summary":"Add Onboarding Metadata","description":"1) Validate the request and get the Metadata from it\n2) Get the onboarding process\n3) Create/Update the onboarding metadata\n4) Return the onboarding data","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingMetadata"}}}}},"put":{"operationId":"update-onboarding-metadata","summary":"Update Onboarding Metadata","description":"1) Validate the request and get the Metadata from it\n2) Get the onboarding process\n3) Create/Update the onboarding metadata\n4) Return the onboarding data","tags":["onboarding"],"parameters":[{"name":"external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingMetadata"}}}}}},"/v2/consumers/{consumer_id}/accounts/plaid-link-token":{"post":{"operationId":"create-consumer-plaid-link-token","summary":"Create Consumer Plaid Link Token","description":"Generate a Plaid Link Token for a consumer.\nPOST /v2/consumers/{consumer_id}/accounts/plaid-link-token","tags":["plaid"],"parameters":[{"name":"consumer_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Plaid_createConsumerPlaidLinkToken_Response_200"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePlaidLinkToken"}}}}}},"/v2/accounts/{account_external_id}/verify/":{"post":{"operationId":"verify-bank-account","summary":"Verify Bank Account","description":"Verify bank account using Plaid microdeposits","tags":["plaid"],"parameters":[{"name":"account_external_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkBankAccount"}}}}}},"/v2/credit-lines/{credit_line_id}/hold/":{"post":{"operationId":"create-transaction-hold","summary":"Create Transaction Hold","description":"","tags":["cbaas"],"parameters":[{"name":"credit_line_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/credit-lines/{credit_line_id}/transactions/{transaction_id}/clear/":{"post":{"operationId":"clear-transaction","summary":"Clear Transaction","description":"","tags":["cbaas"],"parameters":[{"name":"credit_line_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"transaction_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/credit-lines/{credit_line_id}/transactions/{transaction_id}/close/":{"post":{"operationId":"close-transaction","summary":"Close Transaction","description":"","tags":["cbaas"],"parameters":[{"name":"credit_line_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"transaction_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/credit-lines/{credit_line_id}/transactions/{transaction_id}/cancel/":{"post":{"operationId":"cancel-transaction","summary":"Cancel Transaction","description":"","tags":["cbaas"],"parameters":[{"name":"credit_line_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"transaction_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/credit-lines/{credit_line_id}/transactions/{transaction_id}/reverse/":{"post":{"operationId":"reverse-transaction","summary":"Reverse Transaction","description":"","tags":["cbaas"],"parameters":[{"name":"credit_line_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"transaction_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/payment-cards/{payment_card_id}/bill-switch/token":{"post":{"operationId":"get-bill-switch-token","summary":"Get Bill Switch Token","description":"","tags":["billSwitch"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillSwitchToken"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillSwitchToken"}}}}}},"/v2/payment-cards/{payment_card_id}/deposit-switch/token":{"post":{"operationId":"get-deposit-switch-token","summary":"Get Deposit Switch Token","description":"","tags":["billSwitch"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositSwitchResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositSwitchResponse"}}}}}},"/v2/simulations/payment-cards/{payment_card_id}/create-simulated-card-auth":{"post":{"operationId":"create-payment-card-sim-auth","summary":"Create Payment Card Sim Auth","description":"","tags":["simulations"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/simulations/payment-cards/{payment_card_id}/create-simulated-fund-card":{"post":{"operationId":"create-payment-card-sim-funding","summary":"Create Payment Card Sim Funding","description":"","tags":["simulations"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}},"/v2/simulations/payment-cards/{payment_card_id}/create-simulated-card-settlement":{"post":{"operationId":"create-payment-card-sim-settlement","summary":"Create Payment Card Sim Settlement","description":"","tags":["simulations"],"parameters":[{"name":"payment_card_id","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"Authorization","in":"header","description":"Bearer authentication","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"components":{"schemas":{"CreateUpwardliToken":{"type":"object","properties":{"grant_type":{"type":"string","maxLength":250},"client_id":{"type":"string","maxLength":250},"client_secret":{"type":"string","maxLength":250},"scope":{"type":"string","maxLength":250}},"required":["grant_type","client_id","client_secret","scope"],"title":"
[...]
